echo "To compile the following packages are needed:"
echo -e "\t * valac"
echo -e "\t * libglib2.0-dev"

VALAC_PKGS="--pkg gio-2.0 --pkg packagekit-glib2 --pkg gtk+-3.0"
VALAC_FLAGS="--vapidir=vapi/ --define=I_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE"
BIN="light-software-center"
FILES=$(find src/ -type f -name "*.vala")

echo "Building $BIN"
valac $VALAC_PKGS $VALAC_FLAGS $FILES -o $BIN &&
echo "Build compiled, lanching..." &&
./$BIN
